# 多数的，低下的Ubuntu用户

#### “更好的捕鼠器“不是一个合格生物学家的专用谚语。就像Ubuntu，尽管带有一点小问题，但它仅仅需要非常优秀的做好它的工作。

### Roblimo的藏身处

我已经很久不是一个擅长于计算机的人了。事实上，我在网上第一次获得小有名气是在写一个星期专栏的时候，这个专栏的名字是“这台老电脑”。它描述的是一台古老的设备能够做什么——通常在上面安装Linux——在那之后，我又在Andover.net上开设了一个相同的专栏，名字叫做“平价计算”，是关于如何在这个世界省钱的——在这个大部分在线计算机专栏都让你花钱花到你没钱吃饭的世界里（译者注：作者的意思是“我算是一股清流了”）。

据我所知的那些大部分的Linux的早期使用者，都痴迷于他们的电脑，还有那些让他们电脑有用的软件。他们乐于仔细研读源代码并且做出一点小小的修改。最关键的是，他们是计算科学的学生，或者从事IT行业的人们。他们的计算机和计算机网络迷住了他们，就像是他们本来应该成为的样子。

我是（现在也是）一个写作者，不是一个从事计算机科学的家伙。对于我而言，计算机一直以来都是一个工具。我希望他们能够老老实实的，直到我让它们去做点什么，然后按照我的意思去做，最好只有一点点小问题，不至于让我烦躁。我喜欢图形化界面，因为我没有足够的时间去记忆很长的命令行来管理我的电脑和网络。当然，我是有能力使用命令行的，但是我更愿意站在海滩上，不沉浸在命令行的海洋里。

有一段时间啊，在Linux这个圈子里，仁慈的用户太少了。“你什么意思？你仅仅是想要你的电脑去书写文章，或者可能增加一点点HTML到里面吗？“开发者和管理员这样询问道，好像所有除了编写代码的其他领域的奉献者们都不如他们所贡献的。

但是尽管面临这些讥笑和嘲讽，我在一次又一次的宣讲和谈话中提出一个像这样的主题：”与其仅仅解决你自己的痛点，为什么不把你朋友的痛点也一起解决了呢？比如与你携同工作的朋友？以及在那些在你最喜欢的饭店工作的朋友们，还有你的医生？难道你不希望你的医生专注于医治病人，而不是在`apt get`以及`grep`心烦意乱？“

所以，是的，因为我希望能够更简单的使用Linux，我是一个[早期的Mandrake用户][1]，并且在今天，我是一个快乐的Ubuntu使用者。

为什么是Ubuntu？你一定是在逗我，为什么不是？它是Linux发行版中的丰田凯美瑞（或者本田思域）！平凡的而卓越。它流行到你可以在网络实时聊天，Linux问题，Ubuntu自己的论坛上以及许许多多的地方都发现它的身影。

当然，使用Debian或者Fedora是很酷的，还有Mint也是一个与众不同的小帅哥。但是我依然感兴趣于写一些故事以及添加一些HTML到故事里，加之在浏览器中阅读，在Google Docs与合作客户修改工作，随时接受我的邮件，用一张过去或者现在的图片做这做那…这些全部都是电脑用户的那点事儿。

当这一切运行的时候，我的桌面什么样子就没有意义了。我不能看见它！它覆盖了整个应用窗口！然后我使用了两个显示器，不仅仅是一个。我有...让我们看看，17个打开的标签页在两个窗口中。并且GIMP在运行，[Bluefish][2]，这个我刚才在使用的东西，来书写这篇文章。

所以对我而言，Ubuntu是我最小的抵抗之路。Mint可能有一点可爱，但是当你使用它的时候去掉它的修饰（就是底部的边栏，译者注），它不就是Ubuntu吗？所以如果我是用一个个相同的程序，我的确，并且不能看见桌面环境，所以谁还在意他长什么样子？

有些研究表明Mint正在变得更加流行，而有些人说Debian更甚。但是他们的研究中，Ubuntu都是居于最上位的，尽管这一年又一年过去了。

所以称我为大多数人吧！认为我无聊吧！称我为多数的，低下的Ubuntu用户吧——至少从现在开始...

------

作者简介：

![](http://0.gravatar.com/avatar/f861a631676e6d4d2f4e4de2454f230e?s=80&d=blank&r=pg)

Robin "Roblimo" Miller 是一个自由职业的作者并且是前开源科技组的主编辑。开源科技组，这个公司拥有SourceForge, freshmeat, Linux.com, NewForge, ThinkGeek以及Slashdot, 并且他直到最近依然在Slashdot作为一个视频编辑者。他的博客是Robin ‘Roblimo’ Miller的私人站点。@robinAKAroblimo

------

via: http://fossforce.com/2017/01/many-humble-ubuntu-users/

作者：[Robin "Roblimo" Miller][a]
译者：[svtter](https://github.com/svtter)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.roblimo.com/
[1]: https://linux.slashdot.org/story/00/11/02/2324224/mandrake-72-in-wal-mart-a-good-idea
[2]: http://bluefish.openoffice.nl/index.html
